
/* Toolbar */
#placesToolbar {
  border: none;
}

/* back button */

#back-button {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar");
}
#back-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar&state=disabled");
}

#back-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar");
}
#back-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar&state=disabled");
}

/* forward button */

#forward-button {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar");
}
#forward-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar&state=disabled");
}

#forward-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar");
}
#forward-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar&state=disabled");
}

/* Menu */
#placesMenu {
  -moz-appearance: none;
  border: none;
}

#placesMenu > menu {
  -moz-padding-start: 4px;
  -moz-binding: url("chrome://browser/skin/places/organizer.xml#toolbarbutton-dropdown");
  -moz-appearance: toolbarbutton;
  color: -moz-DialogText;
}

#placesMenu > menu:hover:not(:active):not([open="true"]) {
  color: -moz-buttonhovertext;
}

#placesMenu > menu > .menubar-right {
  -moz-appearance: toolbarbutton-dropdown;
  width: 12px;
  height: 12px;
}

/* Root View */
#placesView {
  background-color: Window;
}

/* Place List, Place Content */
.placesTree {
  margin: 0px;
}

#placesList {
  margin: 0px;
  border: none;
  padding: 0;
}

#placeContent {
  border: 0px;
}

#infoPaneBox {
  padding: 5px;
}

.small, .small[disabled="true"] {
  font-size: x-small;
  min-width: 0px;
  padding: 0px 4px 0px 4px;
  margin: 0px;  
  border: 0px;
}

.small .button-text,
.small .button-box {
  padding: 0px;
  border: 0px;
}

%ifdef PLACES_QUERY_BUILDER
/* Calendar */
.history-calendar {
  margin: 0px 0px 7px 6px;
}

.calendar-box {
  -moz-appearance: listbox;
  border: 1px solid black;
  background-color: white;
}
.calendar-header {
  background-color: #EEE;
}
.calendar-month-jump {
  cursor: pointer;
  padding-left: 6px;
  padding-right: 6px;
}
.calendar-month-jump:hover {
  background-color: #DDD;
}
.calendar-grid {
  padding-left: 8px;
  padding-right: 8px;
  padding-bottom: 4px;
}
.calendar-grid label { /* everything in the calendar grid */
  padding: 4px;
  margin: 0px;
  text-align: center;
  font-size: 80%;
}
.calendar-month-title {
  text-align: center;
}
.calendar-day-header {
  border-bottom: 1px solid #888;
}
.calendar-day { /* just days (excluding the day headers) */
  cursor: w-resize;
  color: white;
  background-color:white;
}
.calendar-day:hover {
  background-color: #DDD;
}
.calendar-day[selected="true"] {
  cursor: w-resize;
  background-color: #8C8;
}
.calendar-day[selected="true"]:hover {
  background-color: #6A6;
}
.calendar-day[month="this"] {
  color: black;
}
.calendar-day[month="other"] {
  color: #888;
}

#advancedSearchRows {
  border-bottom: 2px solid;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDShadow;
  padding: 3px 3px 3px 0px;
}

.advancedSearchMinus {
  list-style-image: url("moz-icon://stock/gtk-remove?size=menu");
}

.advancedSearchPlus {
  list-style-image: url("moz-icon://stock/gtk-add?size=menu");
}

.advancedSearchMinus .button-text,
.advancedSearchPlus .button-text {
  display: none;
}

.advancedSearchMinus .button-icon,
.advancedSearchPlus .button-icon {
  margin: 0 !important;
}

/**** expanders ****/
.expander-up,
.expander-down {
  min-width: 0;
}
%endif

#searchModifiers {
  padding-right: 3px;
}

#saveSearch {
  list-style-image: url("moz-icon://stock/gtk-save?size=menu");
}

/**** menuitem stock icons ****/
#orgClose {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

#fileImport {
  list-style-image: url("moz-icon://stock/gtk-revert-to-saved?size=menu");
}

#fileExport {
  list-style-image: url("moz-icon://stock/gtk-save-as?size=menu");
}
